Skip to content
View as Markdown

POST Duplicate Campaign​

POST
/campaigns/{id}/duplicate

Create a duplicate of an existing campaign. The new campaign is created in draft status with a [Duplicate] title prefix. All email content, UTM settings, design template, settings, labels, and A/B test subjects are copied to the new campaign.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID to duplicate.

Type
integer
Required

Responses​

Campaign duplicated successfully.

application/json
JSON
{
"campaign": {
"id": 0,
"title": "string",
"slug": "string",
"status": "draft",
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"design_template": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string"
},
"message": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI